POST /actions/playlists/{playlist_id}/add-entity

Atomically add a single entity to the given playlist.

Path parameters

  • playlist_id string(uuid) Required

    Playlist unique identifier

application/json

Body Required

  • entity_id string(uuid) Required

    Entity unique identifier to add to playlist

  • preview_file_id string(uuid) | null

    Optional preview file identifier associated to the entity

Responses

  • 200 application/json

    Updated playlist

POST /actions/playlists/{playlist_id}/add-entity
curl \
 --request POST 'http://api.example.com/actions/playlists/{playlist_id}/add-entity' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"entity_id":"string","preview_file_id":"string"}'
Request examples
{
  "entity_id": "string",
  "preview_file_id": "string"
}
Response examples (200)
{}